$(document).find('[data-webuploader-one]').each(function(index, element) {
	var the=$(this);
	var opts=the.attr("data-webuploader-one")?the.attr("data-webuploader-one"):"{}";
	opts=eval("(" +opts+ ")");
	var auto=typeof(opts.auto)!="undefined"?opts.auto:true;//自动上传
	var swf=typeof(opts.swf)!="undefined"?opts.swf:'/Data/Uploader.swf';//flash
	var server=typeof(opts.server)!="undefined"?opts.server:'/Addons/execute/_addons/WdUpload/_controller/WdUpload/_action/uploadPicture';//上传地址
	var pick=typeof(opts.pick)!="undefined"?opts.pick:the;
	var width=typeof(opts.width)!="undefined"?opts.width:100;//缩微图宽度
	var height=typeof(opts.height)!="undefined"?opts.height:100;//缩微图高度
	var form=typeof(opts.form)!="undefined"?opts.form:the.prev('input');//表单名称
	var runtimeOrder=typeof(opts.runtimeOrder)!="undefined"?opts.runtimeOrder:'html5,flash';//是否启用flash
	var sendAsBinary=typeof(opts.sendAsBinary)!="undefined"?opts.sendAsBinary:false;//是否启用二进制上传
	var accept_img={title: 'Images',extensions: 'gif,jpg,jpeg,bmp,png',mimeTypes: 'image/jpg,image/jpeg,image/png'};
	var accept_audio={title: 'Audio',extensions: 'mp3',mimeTypes: 'audio/*'};
	var accept_video={title: 'Video',extensions: 'mp4,avi',mimeTypes: 'video/*'};
	var accept_application={title: 'Video',extensions: 'rar,zip,doc,xls',mimeTypes: 'application/*'};
	if(opts.accept=='audio'){
		var accept=accept_audio;
	}else if(opts.accept=='video'){
		var accept=accept_video;
	}else if(opts.accept=='application'){
		var accept=accept_application;
	}else{
		var accept=accept_img;
	}
	
	var $list=the;
	// 初始化Web Uploader
	var uploader = WebUploader.create({
	
		// 选完文件后，是否自动上传。
		auto: auto,
		sendAsBinary:sendAsBinary,
		fileNumLimit:1,
	
		// swf文件路径
		swf: swf,
	
		// 文件接收服务端。
		server: server,
	
		// 选择文件的按钮。可选。
		// 内部根据当前运行是创建，可能是input元素，也可能是flash.
		pick: {
			id:pick,
			multiple:false
		},
	
		// 只允许选择图片文件。
		accept: accept,
		compress:{
			width: 1980,
			height: 1980,
			quality: 90,
		},
		runtimeOrder:runtimeOrder
	});

	
	
	// 当有文件添加进来的时候
	uploader.on( 'fileQueued', function( file ) {
		var $li = $(
				'<div id="' + file.id + '" class="file-item thumbnail">' +
					'<img>' +
				'<i class="iconfont del icon-webuploader02"></i></div>'
				),
			$img = $li.find('img');
	
	
		// $list为容器jQuery实例
		$list.append( $li );
	
		// 创建缩略图
		// 如果为非图片文件，可以不用调用此方法。
		// thumbnailWidth x thumbnailHeight 为 100 x 100
		uploader.makeThumb( file, function( error, src ) {
			if ( error ) {
				$img.replaceWith('<span class="upload_state">上传中..</span>');
				return;
			}
			$img.attr( 'src', src );
		}, width, height );
	});


	// 文件上传过程中创建进度条实时显示。
	uploader.on( 'uploadProgress', function( file, percentage ) {
		var $li = $( '#'+file.id ),
			$percent = $li.find('.progress span');
	
		// 避免重复创建
		if ( !$percent.length ) {
			$percent = $('<p class="progress"><span></span></p>')
					.appendTo( $li )
					.find('span');
		}
		
		$percent.css( 'width', percentage * 100 + '%' );
	});
	
	// 文件上传成功，给item添加成功class, 用样式标记上传成功。
	uploader.on( 'uploadSuccess', function( file,data) {
		$( '#'+file.id ).addClass('upload-state-done');
		form.val(data.url);
		if ('undefined' == typeof(document.body.style.maxHeight)) {
			the.find(".file-item img").attr("src",data.url);
		}
		the.find(".del").show();
	});
	
	// 文件上传失败，显示上传出错。
	uploader.on( 'uploadError', function( file ) {
		var $li = $( '#'+file.id ),
			$error = $li.find('div.error');
	
		// 避免重复创建
		if ( !$error.length ) {
			$error = $('<div class="error"></div>').appendTo( $li );
		}
	
		$error.text('上传失败');
	});
	
	// 完成上传完了，成功或者失败，先删除进度条。
	uploader.on( 'uploadComplete', function( file ) {
		$( '#'+file.id ).find('.upload_state').html('上传成功').animate({"opacity":0},2000);
		$('#'+file.id).closest('.data-webuploader-one').addClass('uploadComplete');
	});
	
	$(document).on('click',".data-webuploader-one .file-item",function(){
		var the=$(this);
		the.closest('.data-webuploader-one').removeClass('uploadComplete');
		the.remove();
		uploader.reset();
	});
	
		
})